View Issue Details

IDProjectCategoryView StatusLast Update
0033100Open CASCADEOCCT:Modeling Algorithmspublic2022-08-14 13:54
Reportermsv Assigned Tomsv  
PrioritynormalSeverityminor 
Status verifiedResolutionfixed 
Product Version7.7.0 
Target Version7.7.0 
Summary0033100: Modeling Algorithms - XCAFDoc_Editor::RescaleGeometry does not rescale triangulations
DescriptionWhen XCAFDoc_Editor::RescaleGeometry is running it calls BRepBuilderAPI_Transform::Perform with flag theCopyMesh==false. It must call it with theCopyMesh==true.
Steps To ReproduceClose d -silent
ReadStep d window.step
XGetOneShape a d
set ref_diag [eval distpp [bounding a]]
XRescaleGeometry d 1000
XGetOneShape a d
set diag [eval distpp [bounding a]]
checkreal "bounding box diagonal" $diag [expr $ref_diag * 1000] 0 0.001
TagsNo tags attached.
Test case numberbugs/xde/bug33100

Attached Files

  • window.step (57,987 bytes)

Activities

msv

2022-08-11 23:19

developer   ~0110197

window.step (57,987 bytes)

git

2022-08-12 00:11

administrator   ~0110201

Branch CR33100 has been created by msv.

SHA-1: a194cb07c5ea2258ca9ec7e8c96f1e5e6b8c59c8


Detailed log of new commits:

Author: msv
Date: Thu Aug 11 23:46:23 2022 +0300

    0033100: Modeling Algorithms - XCAFDoc_Editor::RescaleGeometry does not rescale triangulations
    
    Make XCAFDoc_Editor::RescaleGeometry to pass the flag theCopyMesh==true
    in call to BRepBuilderAPI_Transform::Perform.
    
    Correct the help of the command XRescaleGeometry.

msv

2022-08-12 00:14

developer   ~0110202

Tests results http://jenkins-test-occt/view/CR33100-master-MSV/view/COMPARE/

msv

2022-08-12 00:16

developer   ~0110203

Please review the patch
occt - CR33100

git

2022-08-12 02:03

administrator   ~0110204

Branch CR33100 has been updated forcibly by msv.

SHA-1: b6e43c5b22f18badc11a744b56aa93449b0d15c5

gka

2022-08-12 15:38

developer   ~0110219

Branch CR33100 has been reviewed

smoskvin

2022-08-14 12:27

administrator   ~0110223

Combination -
OCCT branch : IR-2022-08-12
master SHA - fd5c113a0367cc5e0b086544f2e900265545aa72
e0ceb716c70188b98130b1550914140d0502a6f9
Products branch : IR-2022-08-12 SHA - changes and them, and you can discard any commits you make in this
45cefb797e0ba22a343c7826a817db6b0c5c6332
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18719.310000000743 / 18726.600000000624 [-0.04%]
Products
Total CPU difference: 11976.710000000106 / 11968.290000000105 [+0.07%]
Windows-64-VC14:
OCCT
Total CPU difference: 20763.5 / 20741.5 [+0.11%]
Products
Total CPU difference: 13535.640625 / 13528.765625 [+0.05%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2022-08-14 13:54

administrator   ~0110230

Branch CR33100 has been deleted by mnt.

SHA-1: b6e43c5b22f18badc11a744b56aa93449b0d15c5

Related Changesets

occt: master fd5c113a

2022-08-11 23:46:23

msv


Committer: smoskvin Details Diff
0033100: Modeling Algorithms - XCAFDoc_Editor::RescaleGeometry does not rescale triangulations

Make XCAFDoc_Editor::RescaleGeometry to pass the flag theCopyMesh==true
in call to BRepBuilderAPI_Transform::Perform.

Correct the help of the command XRescaleGeometry.
Affected Issues
0033100
mod - src/XCAFDoc/XCAFDoc_Editor.cxx Diff File
mod - src/XDEDRAW/XDEDRAW.cxx Diff File
add - tests/bugs/xde/bug33100 Diff File

Issue History

Date Modified Username Field Change
2022-08-11 21:25 msv New Issue
2022-08-11 21:25 msv Assigned To => msv
2022-08-11 23:19 msv Steps to Reproduce Updated
2022-08-11 23:19 msv Note Added: 0110197
2022-08-11 23:19 msv File Added: window.step
2022-08-12 00:11 git Note Added: 0110201
2022-08-12 00:14 msv Note Added: 0110202
2022-08-12 00:15 msv Status new => assigned
2022-08-12 00:16 msv Assigned To msv => gka
2022-08-12 00:16 msv Status assigned => resolved
2022-08-12 00:16 msv Note Added: 0110203
2022-08-12 02:03 git Note Added: 0110204
2022-08-12 15:38 gka Assigned To gka => bugmaster
2022-08-12 15:38 gka Status resolved => reviewed
2022-08-12 15:38 gka Note Added: 0110219
2022-08-14 12:27 smoskvin Status reviewed => tested
2022-08-14 12:27 smoskvin Note Added: 0110223
2022-08-14 12:28 smoskvin Test case number => bugs/xde/bug33100
2022-08-14 12:58 smoskvin Changeset attached => occt master fd5c113a
2022-08-14 12:58 msv Assigned To bugmaster => msv
2022-08-14 12:58 msv Status tested => verified
2022-08-14 12:58 msv Resolution open => fixed
2022-08-14 13:54 git Note Added: 0110230